// Draw a cat 	
	
import java.awt.*;	
import javax.swing.*;	
import java.io.*;	
	
public class TriangularCat {	
	// main(): application entry point	
	public static void main(String[] args) throws IOException {	
		ColoredTriangle body = new ColoredTriangle(	
			new Point(20, 110), new Point(190, 150),	
			new Point(190, 65), Color.BLACK);	
	
		ColoredTriangle head = new ColoredTriangle(	
			new Point(190, 90), new Point(270, 90),	
			new Point(230, 30), Color.YELLOW);	
	
		ColoredTriangle leftEye = new ColoredTriangle(	
			new Point(220, 50), new Point(215, 60),	
			new Point(225, 60), Color.BLUE);	
	
		ColoredTriangle rightEye = new ColoredTriangle(	
			new Point(240, 50), new Point(235, 60),	
			new Point(245, 60), Color.BLUE);	
	
		ColoredTriangle mouth = new ColoredTriangle(	
			new Point(215, 75), new Point(245, 80),	
			new Point(245, 70), Color.BLUE);	
	
		ColoredTriangle backLegs = new ColoredTriangle(	
			new Point(20, 110), new Point(25, 160),	
			new Point(15, 160), Color.GRAY);	
	
		ColoredTriangle frontLegs = new ColoredTriangle(	
			new Point(190, 150), new Point(195, 200),	
			new Point(185, 200), Color.GRAY);	
	
		JFrame window = new JFrame("Triangular cat");	
		window.setSize(285, 250);	
		window.setVisible(true);	
		Graphics g = window.getGraphics();	
	
		System.out.print("Enter any key when ready");	
		System.in.read();	
	
		body.paint(g);	
		head.paint(g);	
		mouth.paint(g);	
		leftEye.paint(g);	
		rightEye.paint(g);	
		backLegs.paint(g);	
		frontLegs.paint(g);	
	}	
}	
			

